# ValueRequiredException
Date: 2013-02-18

## org.simpleframework.xml.core
Class ValueRequiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.simpleframework.xml.core.PersistenceException
                  org.simpleframework.xml.core.ValueRequiredException

All Implemented Interfaces:
  java.io.Serializable

    public class ValueRequiredException

extends PersistenceException

The `ValueRequiredException` is thrown when an attribute or element is missing from the XML document. This is thrown only if the attribute or element is required according to the annotation for that field within the XML schema class.

Author:
  Niall Gallagher
See Also:
  Serialized Form

Constructor Summary
`ValueRequiredException(java.lang.String text, java.lang.Object... list)` Constructor for the `ValueRequiredException` object.
`ValueRequiredException(java.lang.Throwable cause, java.lang.String text, java.lang.Object... list)` Constructor for the `ValueRequiredException` object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueRequiredException

    public ValueRequiredException(java.lang.String text,
                                  java.lang.Object... list)

  Constructor for the `ValueRequiredException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string

### ValueRequiredException

    public ValueRequiredException(java.lang.Throwable cause,
                                  java.lang.String text,
                                  java.lang.Object... list)

  Constructor for the `ValueRequiredException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `cause` - the source exception this is used to represent
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string